﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.WebUI.UltraWebChart" TagPrefix="igchart" %>

<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.UltraChart.Resources.Appearance" TagPrefix="igchartprop" %>
<%@ Register Assembly="Infragistics4.WebUI.UltraWebChart.v14.2, Version=14.2.20142.1028, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.UltraChart.Data" TagPrefix="igchartdata" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <igchart:UltraChart ID="UC3" runat="server" BackgroundImageFileName=""
                EmptyChartText="Data Not Available. Please call UltraChart.Data.DataBind() after setting valid Data.DataSource"
                Version="8.2" Height="199px" Width="450px" BackColor="#EAEAEA"
                DataSourceID="SqlDataSource" Visible="False">
                <TitleTop HorizontalAlign="Center"
                    Font="Microsoft Sans Serif, 9.75pt, style=Bold" Extent="13">
                    <Margins Bottom="0" Left="0" Right="0" Top="0" />
                </TitleTop>
                <Tooltips Font-Bold="False" Font-Italic="False" Font-Overline="False"
                    Font-Strikeout="False" Font-Underline="False" />
                <TitleBottom HorizontalAlign="Center" Text="Month of Production" Extent="13"
                    Location="Bottom" Font="Verdana, 8pt, style=Bold">
                    <Margins Bottom="0" Top="0" Left="0" Right="0" />
                </TitleBottom>
                <Border Thickness="0" />
                <Data UseMinMax="True" ZeroAligned="True"></Data>
                <TitleLeft HorizontalAlign="Center" Text="Claims"
                    Visible="True" Extent="13"
                    Location="Left" Font="Microsoft Sans Serif, 9.75pt, style=Bold">
                    <Margins Left="0" Right="0" Bottom="0" Top="0" />
                </TitleLeft>
                <ColorModel AlphaLevel="150" ModelStyle="CustomSkin">
                    <Skin ApplyRowWise="False">
                        <PEs>
                            <igchartprop:PaintElement ElementType="Gradient" Fill="Blue"
                                FillGradientStyle="HorizontalBump"
                                FillStopColor="White" />
                            <igchartprop:PaintElement ElementType="Gradient" Fill="108, 162, 36" FillGradientStyle="Horizontal"
                                FillStopColor="148, 244, 17"></igchartprop:PaintElement>
                        </PEs>
                    </Skin>
                </ColorModel>
                <Axis>
                    <PE ElementType="None" Fill="Cornsilk" />
                    <X LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" Visible="True"
                        Extent="40" RangeMax="1000" RangeType="Custom">
                        <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot"
                            Thickness="1" Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near"
                            ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="VerticalLeftFacing"
                            VerticalAlign="Center" Visible="False">
                            <SeriesLabels Font="Verdana, 10pt" FormatString="&lt;SERIES_LABEL:MMM-yy&gt;"
                                HorizontalAlign="Center" Orientation="VerticalLeftFacing"
                                VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </X>
                    <Y LineThickness="1" TickmarkInterval="40" TickmarkStyle="Smart" Visible="True"
                        Extent="30">
                        <MajorGridLines AlphaLevel="255" Color="DarkGray" DrawStyle="Dot" Thickness="1"
                            Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 10pt" HorizontalAlign="Far"
                            ItemFormatString="&lt;DATA_VALUE:0.##&gt;" Orientation="Horizontal"
                            VerticalAlign="Center">
                            <SeriesLabels Font="Verdana, 10pt" HorizontalAlign="Center"
                                Orientation="VerticalLeftFacing" VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </Y>
                    <Y2 LineThickness="1" TickmarkInterval="40" TickmarkStyle="Smart"
                        Visible="False">
                        <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot"
                            Thickness="1" Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near"
                            ItemFormatString="&lt;DATA_VALUE:00.##&gt;" Orientation="Horizontal"
                            VerticalAlign="Center">
                            <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Center"
                                Orientation="VerticalLeftFacing" VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </Y2>
                    <X2 LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart"
                        Visible="False">
                        <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot"
                            Thickness="1" Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Far"
                            ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="VerticalLeftFacing"
                            VerticalAlign="Center">
                            <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Center"
                                Orientation="Horizontal" VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </X2>
                    <Z LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" Visible="False">
                        <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot"
                            Thickness="1" Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near"
                            ItemFormatString="" Orientation="Horizontal" VerticalAlign="Center">
                            <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Center"
                                Orientation="Horizontal" VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </Z>
                    <Z2 LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart"
                        Visible="False">
                        <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot"
                            Thickness="1" Visible="True" />
                        <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot"
                            Thickness="1" Visible="False" />
                        <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near"
                            ItemFormatString="" Orientation="Horizontal" VerticalAlign="Center">
                            <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Center"
                                Orientation="Horizontal" VerticalAlign="Center">
                                <Layout Behavior="Auto">
                                </Layout>
                            </SeriesLabels>
                            <Layout Behavior="Auto">
                            </Layout>
                        </Labels>
                    </Z2>
                </Axis>
                <ColumnChart SeriesSpacing="0">
                    <ChartText>
                        <igchartprop:ChartTextAppearance ChartTextFont="Arial, 10pt" Column="-2"
                            ItemFormatString="&lt;DATA_VALUE:0&gt;" Row="-2" VerticalAlign="Far"
                            Visible="True" />
                    </ChartText>
                </ColumnChart>
                <Legend AlphaLevel="140" Location="Bottom" SpanPercentage="8">
                    <Margins Top="0" Bottom="0" Left="0" Right="0" />
                </Legend>
            </igchart:UltraChart>
            <asp:SqlDataSource ID="SqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" SelectCommand="SELECT * FROM [GanttData]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
